Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1
Enum CDSEXvalues

    java.lang.Object
      java.lang.Enum<CDSEXvalues>
          be.fgov.ehealth.standards.kmehr.mycarenet.cd.v1.CDSEXvalues

All Implemented Interfaces:
  Serializable, Comparable<CDSEXvalues>

    public enum CDSEXvalues

extends Enum<CDSEXvalues>

Java class for CD-SEXvalues.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-SEXvalues">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="changed"/>
         <enumeration value="female"/>
         <enumeration value="male"/>
         <enumeration value="unknown"/>
         <enumeration value="undefined"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CHANGED`
`FEMALE`
`MALE`
`UNDEFINED`
`UNKNOWN`

Method Summary
`static CDSEXvalues` | `fromValue(String v)`
`String` | `value()`
`static CDSEXvalues` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDSEXvalues[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CHANGED

    public static final CDSEXvalues CHANGED

### FEMALE

    public static final CDSEXvalues FEMALE

### MALE

    public static final CDSEXvalues MALE

### UNKNOWN

    public static final CDSEXvalues UNKNOWN

### UNDEFINED

    public static final CDSEXvalues UNDEFINED

Method Detail

### values

    public static CDSEXvalues[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDSEXvalues c : CDSEXvalues.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDSEXvalues valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDSEXvalues fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging TRUSSMAKER 3.23.0 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.